org.apache.tomcat.util.digester

## Interface RuleSet

- All Known Implementing Classes:
    ClusterRuleSet, ContextRuleSet, EngineRuleSet, HostRuleSet, MemoryRuleSet, NamingRuleSet, RealmRuleSet, RuleSetBase, TldRuleSet, WebRuleSet

      public interface RuleSet

  Public interface defining a shorthand means of configuring a complete set of related `Rule` definitions, possibly associated with a particular namespace URI, in one operation. To use an instance of a class that implements this interface:

  - Create a concrete implementation of this interface.
  - Optionally, you can configure a `RuleSet` to be relevant only for a particular namespace URI by configuring the value to be returned by `getNamespaceURI()`.
  - As you are configuring your Digester instance, call `digester.addRuleSet()` and pass the RuleSet instance.
  - Digester will call the `addRuleInstances()` method of your RuleSet to configure the necessary rules.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addRuleInstances(Digester digester)` Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any).
    `String` | `getNamespaceURI()` Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

- - ### Method Detail

    - #### getNamespaceURI

          String getNamespaceURI()

      Return the namespace URI that will be applied to all Rule instances created from this RuleSet.

    - #### addRuleInstances

          void addRuleInstances(Digester digester)

      Add the set of Rule instances defined in this RuleSet to the specified `Digester` instance, associating them with our namespace URI (if any). This method should only be called by a Digester instance.
      Parameters:
        `digester` - Digester instance to which the new Rule instances should be added.

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.